#
%include /usr/lib/rpm/macros.mono
#
Summary:	A Mono/GStreamer Based Music Player
Summary(pl.UTF-8):	Oparty na Mono/GStreamerze odtwarzacz muzyki
Name:		banshee
Version:	2.4.1
Release:	2
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://ftp.gnome.org/pub/GNOME/sources/banshee/2.4/%{name}-%{version}.tar.xz
# Source0-md5:	18d77594e524ff5e51c5cca5c6b31a34
Patch0:		%{name}-libgpod.patch
URL:		http://banshee.fm/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	clutter-devel >= 1.2.0
BuildRequires:	dotnet-dbus-sharp-devel >= 0.7
BuildRequires:	dotnet-dbus-sharp-glib-devel >= 0.5
BuildRequires:	dotnet-gdata-sharp-devel >= 1.5.0
BuildRequires:	dotnet-gio-sharp-devel >= 0.3
BuildRequires:	dotnet-gkeyfile-sharp-devel >= 0.1
BuildRequires:	dotnet-gnome-sharp-devel >= 2.16.0
BuildRequires:	dotnet-gstreamer-sharp-devel
BuildRequires:	dotnet-gtk-sharp-beans-devel >= 2.8
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.12.10
BuildRequires:	dotnet-gudev-sharp-devel >= 0.1
BuildRequires:	dotnet-karma-sharp-devel >= 0.0.5
BuildRequires:	dotnet-libgpod-sharp-devel >= 0.8.2
BuildRequires:	dotnet-mono-upnp-devel >= 0.1
BuildRequires:	dotnet-mono-zeroconf-devel >= 0.8.0
BuildRequires:	dotnet-notify-sharp-devel
BuildRequires:	dotnet-taglib-sharp-devel >= 2.0.3.7
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.22.0
BuildRequires:	gnome-desktop2-devel
BuildRequires:	gnome-doc-utils >= 0.18.0
BuildRequires:	gstreamer-devel >= 0.10.26
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.26
BuildRequires:	gtk+2-devel >= 2:2.22.0
BuildRequires:	gtk-webkit-devel >= 1.2.2
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libmtp-devel >= 0.3.0
BuildRequires:	libsoup-gnome-devel >= 2.26.0
BuildRequires:	libtool
BuildRequires:	mono-addins-devel >= 0.6.2
BuildRequires:	mono-csharp >= 2.4.3
BuildRequires:	monodoc
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel >= 3.4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libXrandr-devel >= 1.1.1
BuildRequires:	xorg-lib-libXxf86vm-devel >= 1.0.1
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	shared-mime-info
Requires:	gstreamer-GConf >= 0.10.26
Requires:	gstreamer-cdparanoia >= 0.10.26
Requires:	hicolor-icon-theme
Requires:	mono-addins >= 0.6.2
Suggests:	brasero
Suggests:	media-player-info
Obsoletes:	banshee-official-plugins <= 0.11.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Banshee is a brand spankin' new audio player based on the GStreamer
media library and is developed on the Open Source Mono .NET Platform,
written in C#.

%description -l pl.UTF-8
Banshee to nowy odtwarzacz dźwięku oparty na bibliotece odtwarzacza
multimediów GStreamer, rozwijany na platformie .NET Mono, napisany w
C#.

%package devel
Summary:	Banshee development files
Summary(pl.UTF-8):	Pliki programistyczne dla Banshee
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-dbus-sharp-devel >= 0.7
Requires:	dotnet-dbus-sharp-glib-devel >= 0.5
Requires:	dotnet-gtk-sharp2-devel >= 2.12.10
Requires:	dotnet-taglib-sharp-devel >= 2.0.3.7
Requires:	mono-addins-devel >= 0.6.2

%description devel
This package provides development files for Banshee.

%description devel -l pl.UTF-8
Ten pakiet dostarcza pliki programistyczne dla Banshee.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__intltoolize}
%{__aclocal} -I build/m4/banshee -I build/m4/shave -I build/m4/shamrock
%{__automake}
%{__autoconf}

%configure \
	--disable-boo \
	--disable-docs \
	--disable-shave \
	--with-vendor-build-id="%{distribution}"
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/*.{la,a}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/Backends/*.{la,a}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor
%update_mime_database

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/banshee
%attr(755,root,root) %{_bindir}/bamz
%attr(755,root,root) %{_bindir}/muinshee
%{_datadir}/banshee
%dir %{_libdir}/banshee
%{_libdir}/banshee/*.dll
%attr(755,root,root) %{_libdir}/banshee/*.so
%{_libdir}/banshee/*.exe
%{_libdir}/banshee/*.mdb
%{_libdir}/banshee/*.config
%dir %{_libdir}/banshee/Extensions
%{_libdir}/banshee/Extensions/*.dll
%{_libdir}/banshee/Extensions/*.exe
%{_libdir}/banshee/Extensions/*.mdb
%{_libdir}/banshee/Extensions/Banshee.NotificationArea.dll.config
%{_libdir}/banshee/Extensions/karma-sharp.dll.config
%{_libdir}/banshee/Extensions/libgpod-sharp.dll.config
%dir %{_libdir}/banshee/Backends
%{_libdir}/banshee/Backends/*.config
%{_libdir}/banshee/Backends/*.dll
%{_libdir}/banshee/Backends/*.mdb
%{_libdir}/banshee/Backends/*.so
%{_libdir}/banshee/Banshee.Services.addins
%{_desktopdir}/banshee-audiocd.desktop
%{_desktopdir}/banshee-media-player.desktop
%{_desktopdir}/banshee.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/dbus-1/services/org.bansheeproject.Banshee.service
%{_datadir}/dbus-1/services/org.bansheeproject.CollectionIndexer.service
%{_datadir}/mime/packages/banshee-amz.xml
%{_datadir}/mime/packages/banshee-emx.xml

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/banshee*.pc
%changelog
* Wed Aug 29 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/banshee.git;a=log;h=master

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> ecd1431
- release 2 (by relup.sh)

* Wed Jun 06 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 9a4d1ae
- updated to 2.4.1
- added -libgpod.patch to fix build with libgpod-sharp 0.8.2

* Wed Jun 06 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 93b8207
- fixes build with libgpod-sharp 0.8.2 (from upstream)

* Tue Mar 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> b36a599
- updated to 2.4.0
- added -devel subpackage

* Wed Nov 02 2011 Patryk Zawadzki <patrys@room-303.com> b49917b
- 2.2.1

* Thu Sep 22 2011 Marcin Banasiak <marcin.banasiak@gmail.com> d715970
- updated to 2.2.0

* Fri May 20 2011 Marcin Banasiak <marcin.banasiak@gmail.com> afb76f0
- updated to 2.0.1

* Thu Apr 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> d5ac705
- updated to 2.0.0

* Wed Mar 02 2011 Marcin Banasiak <marcin.banasiak@gmail.com> bffbeb2
- release 3

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> d42ef15
- Requires(post,postun): gtk-update-icon-cache

* Mon Jan 31 2011 Patryk Zawadzki <patrys@room-303.com> 9bb5e85
- 1.8.1

* Sun Oct 24 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a653dcb
- updated to 1.8.0

* Thu Jun 10 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a8137a8
- updated to 1.6.1

* Thu Apr 01 2010 Patryk Zawadzki <patrys@room-303.com> 8be66c4
- 1.6.0

* Sun Mar 21 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 1742990
- updated to 1.5.6
- removed obsolete configure options

* Sat Mar 13 2010 sparky <sparky@pld-linux.org> 73efa06
- BR: gettext-devel

* Fri Mar 12 2010 Patryk Zawadzki <patrys@room-303.com> b24187e
- j1
- rel 2

* Fri Mar 12 2010 Patryk Zawadzki <patrys@room-303.com> dd020e0
- require newer gst

* Fri Mar 12 2010 Patryk Zawadzki <patrys@room-303.com> 3c7b169
- bash bash bash

* Fri Mar 12 2010 Patryk Zawadzki <patrys@room-303.com> de504ec
- 1.5.5

